Create mold
POST
/forge/molds
const url = 'https://shoehorn.example.com/api/v1/forge/molds';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","slug":"example","description":"example","category":"example","icon":"example","parameters":[{"name":"example","type":"string","label":"example","description":"example","required":false,"default":"example","options":["example"]}],"actions":[{"name":"example","type":"github-action","config":{}}],"requires_approval":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/forge/molds \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "slug": "example", "description": "example", "category": "example", "icon": "example", "parameters": [ { "name": "example", "type": "string", "label": "example", "description": "example", "required": false, "default": "example", "options": [ "example" ] } ], "actions": [ { "name": "example", "type": "github-action", "config": {} } ], "requires_approval": false }'Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
slug
required
string
description
string
category
string
icon
string
parameters
Array<object>
object
name
required
string
type
required
string
label
string
description
string
required
boolean
default
options
Options for select/multi-select types
Array<string>
actions
Array<object>
object
name
required
string
type
required
string
config
object
requires_approval
boolean
Responses
Section titled “ Responses ”Mold created